FindReplaceUtility (Groovy 2.4.3)
Date: 2015-03-23

groovy.ui.text

## Class FindReplaceUtility

- java.lang.Object
- - groovy.ui.text.FindReplaceUtility

-     public final class FindReplaceUtility
      extends Object

  Author:
    Evan "Hippy" Slatis

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CLOSE_ACTION_COMMAND`
    `static Action` | `FIND_ACTION`
    `static String` | `FIND_ACTION_COMMAND`
    `static String` | `REPLACE_ACTION_COMMAND`
    `static String` | `REPLACE_ALL_ACTION_COMMAND`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addTextListener(TextListener tl)`
    `static void` | `dispose()`
    `static String` | `getLastAction()`
    `static int` | `getReplacementCount()`
    `static String` | `getSearchText()`
    `static void` | `registerTextComponent(JTextComponent textComponent)`
    `static void` | `removeTextListener(TextListener tl)`
    `static void` | `showDialog()`
    `static void` | `showDialog(boolean isReplace)`
    `static void` | `unregisterTextComponent(JTextComponent textComponent)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIND_ACTION_COMMAND

          public static final String FIND_ACTION_COMMAND

      See Also:
        Constant Field Values

    - #### REPLACE_ACTION_COMMAND

          public static final String REPLACE_ACTION_COMMAND

      See Also:
        Constant Field Values

    - #### REPLACE_ALL_ACTION_COMMAND

          public static final String REPLACE_ALL_ACTION_COMMAND

      See Also:
        Constant Field Values

    - #### CLOSE_ACTION_COMMAND

          public static final String CLOSE_ACTION_COMMAND

      See Also:
        Constant Field Values

    - #### FIND_ACTION

          public static final Action FIND_ACTION

  - ### Method Detail

    - #### addTextListener

          public static void addTextListener(TextListener tl)

    - #### getLastAction

          public static String getLastAction()

      Returns:
        the last action

    - #### getReplacementCount

          public static int getReplacementCount()

      Returns:
        the replacement count

    - #### getSearchText

          public static String getSearchText()

      Returns:
        the search text

    - #### registerTextComponent

          public static void registerTextComponent(JTextComponent textComponent)

      Parameters:
        `textComponent` - the text component to listen to

    - #### removeTextListener

          public static void removeTextListener(TextListener tl)

    - #### showDialog

          public static void showDialog()

    - #### showDialog

          public static void showDialog(boolean isReplace)

      Parameters:
        `isReplace` - show a replace dialog rather than a find dialog if true

    - #### unregisterTextComponent

          public static void unregisterTextComponent(JTextComponent textComponent)

      Parameters:
        `textComponent` - the text component to stop listening to

    - #### dispose

          public static void dispose()